#Query transaction results
#Request Path
/api/v2/merchant/payment/queryPayStatus #Parameter List
| Name | Type | Length | Required | Description |
|---|---|---|---|---|
| orderId | String | 32 | No | Unique Order No of the merchant, which can be used to query the order. If there is no orderId, you can send the orderNo. |
| orderNo | String | 32 | No | Unique Order No of PalmPay, which can be used to query the order. If there is no orderNo, you can send the orderId. |
#Return Value
| Name | Type | Length | Required | Description |
|---|---|---|---|---|
| currency | String | 10 | yes | Currency (NGN) |
| amount | Long | 20 | yes | order amount (minimum unit measurement) only when orderStatus = 2 |
| fee | fee | 20 | no | Total fee amount (minimum unit) only when orderStatus = 1 or 2 fee:{ fee: 0, vat: 0} |
| orderNo | String | 32 | yes | The order number responsed by the PalmPay. |
| orderId | String | 32 | yes | Merchant's original order number |
| orderStatus | Long | 20 | yes | Order Status(see Order Status) |
| sessionId | String | 128 | No | Channel Response Parameters. Note: Most of the non-NIBSS channels do not return sessionId, if there is any problem with this type of order, you need to provide the order number to PalmPay to confirm the actual arrival of the payee. |
| message | String | 20 | no | Order status description information |
| errorMsg | String | 200 | No | Error message |
| createdTime | Long | - | Yes | Order creation time |
| completedTime | Long | - | No | Order completion time |
#Postman Example
#request
curl --location 'https://open-gw-sandbox.palmpay-inc.com/api/v2/merchant/payment/queryPayStatus' \
--header 'Accept: application/json, text/plain, */*' \
--header 'CountryCode: NG' \
--header 'Authorization: Bearer 10241024' \
--header 'Signature: D11A3E8CB478C0B0F40276DDA5AFD898' \
--header 'Content-Type: application/json' \
--data '{
"requestTime":1662171389940,
"version":"V1.1",
"nonceStr":"IBJGAeTa4ZJQv4Z2qufomVo9eI1YnJ9Y",
"orderId":"e7c3784d5e2242fc00afe89ac1234",
"orderNo":"41220723093001"
}'#response
{
"respCode":"00000000",
"respMsg":"success",
"data":{
"currency":"NGN",
"amount":50000,
"fee": {
"fee": 402
},
"orderNo":"41220723093001",
"orderId":"e7c3784d5e2242fc00afe89ac1234",
"orderStatus":2,
"sessionId": "100033240509135230000500932911",
"message":"success",
"createdTime": 1708927047000,
"completedTime": 1708927065000
}
}